cURL
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '[
{
"displayName": "Continent",
"description": "Continent Level"
},
{
"displayName": "Country",
"description": "Country Level"
}
]'client.metadata_taxonomies.create_metadata_taxonomy_level(
namespace,
taxonomy_key,
[
MetadataTaxonomyLevel(display_name="Continent", description="Continent Level"),
MetadataTaxonomyLevel(display_name="Country", description="Country Level"),
],
)await client.metadataTaxonomies.createMetadataTaxonomyLevel(
namespace,
taxonomyKey,
[
{
displayName: 'Continent',
description: 'Continent Level',
} satisfies MetadataTaxonomyLevel,
{
displayName: 'Country',
description: 'Country Level',
} satisfies MetadataTaxonomyLevel,
],
);try await client.metadataTaxonomies.createMetadataTaxonomyLevel(namespace: namespace, taxonomyKey: taxonomyKey, requestBody: [MetadataTaxonomyLevel(displayName: "Continent", description: "Continent Level"), MetadataTaxonomyLevel(displayName: "Country", description: "Country Level")])client.getMetadataTaxonomies().createMetadataTaxonomyLevel(namespace, taxonomyKey, Arrays.asList(new MetadataTaxonomyLevel.Builder().displayName("Continent").description("Continent Level").build(), new MetadataTaxonomyLevel.Builder().displayName("Country").description("Country Level").build()))await client.MetadataTaxonomies.CreateMetadataTaxonomyLevelAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey, requestBody: Array.AsReadOnly(new [] {new MetadataTaxonomyLevel() { DisplayName = "Continent", Description = "Continent Level" },new MetadataTaxonomyLevel() { DisplayName = "Country", Description = "Country Level" }}));{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}エンドポイント
メタデータ階層レベルを作成
新しいメタデータ階層レベルを作成します。
POST
/
metadata_taxonomies
/
{namespace}
/
{taxonomy_key}
/
levels
cURL
curl -i -X POST "https://api.box.com/2.0/metadata_taxonomies/enterprise_123456/geography/levels" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '[
{
"displayName": "Continent",
"description": "Continent Level"
},
{
"displayName": "Country",
"description": "Country Level"
}
]'client.metadata_taxonomies.create_metadata_taxonomy_level(
namespace,
taxonomy_key,
[
MetadataTaxonomyLevel(display_name="Continent", description="Continent Level"),
MetadataTaxonomyLevel(display_name="Country", description="Country Level"),
],
)await client.metadataTaxonomies.createMetadataTaxonomyLevel(
namespace,
taxonomyKey,
[
{
displayName: 'Continent',
description: 'Continent Level',
} satisfies MetadataTaxonomyLevel,
{
displayName: 'Country',
description: 'Country Level',
} satisfies MetadataTaxonomyLevel,
],
);try await client.metadataTaxonomies.createMetadataTaxonomyLevel(namespace: namespace, taxonomyKey: taxonomyKey, requestBody: [MetadataTaxonomyLevel(displayName: "Continent", description: "Continent Level"), MetadataTaxonomyLevel(displayName: "Country", description: "Country Level")])client.getMetadataTaxonomies().createMetadataTaxonomyLevel(namespace, taxonomyKey, Arrays.asList(new MetadataTaxonomyLevel.Builder().displayName("Continent").description("Continent Level").build(), new MetadataTaxonomyLevel.Builder().displayName("Country").description("Country Level").build()))await client.MetadataTaxonomies.CreateMetadataTaxonomyLevelAsync(namespaceParam: namespaceParam, taxonomyKey: taxonomyKey, requestBody: Array.AsReadOnly(new [] {new MetadataTaxonomyLevel() { DisplayName = "Continent", Description = "Continent Level" },new MetadataTaxonomyLevel() { DisplayName = "Country", Description = "Country Level" }}));{
"entries": [
{
"displayName": "Continent",
"description": "Continent",
"level": 1
}
]
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。「Box SDKのバージョニング戦略について詳しく学ぶ。」
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
すべてのメタデータ階層レベルの配列を返します。
メタデータ階層のレベルは、メタデータ階層構造内の階層カテゴリを表します。
すべてのメタデータ階層レベルの配列。
Show child attributes
Show child attributes
最終更新日 2026年1月23日
このページは役に立ちましたか?
⌘I
